Easily theme your Flask app. (Flask-Themes with Flask>=0.6 support!)
Python HTML CSS
Switch branches/tags
Nothing to show
Pull request Compare This branch is 29 commits ahead of drewlustro:master.
Fetching latest commit…
Cannot retrieve the latest commit at this time.
Permalink
Failed to load latest commit information.
base_theme
docs
example
flask_themes2
tests
.gitignore
.travis.yml
LICENSE
MANIFEST.in
README.rst
new-theme.py
requirements.txt
setup.py

README.rst

Flask-Themes2

Build Status

Flask-Themes2 is a fork of Spirits, which is in turn a fork of Flask-Themes.

This provides infrastructure for themes in Flask.

This was created as Flask-Themes doesn't support versions of Flask past 0.6 (or 0.7, I'm not 100% certain), and as such, it has been no use since the last update (which was in 2011, would you believe!).

Installation

To install normally:

$ pip install flask-themes2

To install the development (latest) version:

$ pip install -e git://github.com/plausibility/flask-themes2.git#egg=flask_themes2-dev

Documentation

The documentation is on the Flask-Themes2 docs.

Development

If you're interested in helping, the source is available on GitHub, feel free to contribute.